GNU Radio's FOO Package: gr::foo::channel_model_impl Class Reference

GNU Radio's FOO Package

gr::foo::channel_model_impl Class Reference

`#include <channel_model_impl.h>`

Inheritance diagram for gr::foo::channel_model_impl:

## Public Member Functions
| channel_model_impl (double noise_voltage, double frequency_offset, double epsilon, const std::vector< gr_complex > &taps, double noise_seed, bool block_tags)
| ~channel_model_impl ()
void | set_noise_voltage (double noise_voltage)
void | set_frequency_offset (double frequency_offset)
void | set_taps (const std::vector< gr_complex > &taps)
void | set_timing_offset (double epsilon)
double | noise_voltage () const
double | frequency_offset () const
std::vector< gr_complex > | taps () const
double | timing_offset () const

## Additional Inherited Members
Public Types inherited from gr::foo::channel_model
typedef std::shared_ptr< channel_model > | sptr
Static Public Member Functions inherited from gr::foo::channel_model
static sptr | make (double noise_voltage=0.0, double frequency_offset=0.0, double epsilon=1.0, const std::vector< gr_complex > &taps=std::vector< gr_complex >(1, 1), double noise_seed=0, bool block_tags=false)

## Constructor & Destructor Documentation

## ◆ channel_model_impl()

gr::foo::channel_model_impl::channel_model_impl | ( | double | noise_voltage,
|  | double | frequency_offset,
|  | double | epsilon,
|  | const std::vector< gr_complex > & | taps,
|  | double | noise_seed,
|  | bool | block_tags )

References frequency_offset(), noise_voltage(), and taps().

## ◆ ~channel_model_impl()

gr::foo::channel_model_impl::~channel_model_impl | ( |  | ) |

## Member Function Documentation

## ◆ frequency_offset()

double gr::foo::channel_model_impl::frequency_offset | ( |  | ) | const
| virtual

Implements gr::foo::channel_model.

Referenced by channel_model_impl(), and set_frequency_offset().

## ◆ noise_voltage()

double gr::foo::channel_model_impl::noise_voltage | ( |  | ) | const
| virtual

Implements gr::foo::channel_model.

Referenced by channel_model_impl(), and set_noise_voltage().

## ◆ set_frequency_offset()

void gr::foo::channel_model_impl::set_frequency_offset | ( | double | frequency_offset | ) |
| virtual

Implements gr::foo::channel_model.

References frequency_offset().

## ◆ set_noise_voltage()

void gr::foo::channel_model_impl::set_noise_voltage | ( | double | noise_voltage | ) |
| virtual

Implements gr::foo::channel_model.

References noise_voltage().

## ◆ set_taps()

void gr::foo::channel_model_impl::set_taps | ( | const std::vector< gr_complex > & | taps | ) |
| virtual

Implements gr::foo::channel_model.

References taps().

## ◆ set_timing_offset()

void gr::foo::channel_model_impl::set_timing_offset | ( | double | epsilon | ) |
| virtual

Implements gr::foo::channel_model.

## ◆ taps()

std::vector< gr_complex > gr::foo::channel_model_impl::taps | ( |  | ) | const
| virtual

Implements gr::foo::channel_model.

Referenced by channel_model_impl(), and set_taps().

## ◆ timing_offset()

double gr::foo::channel_model_impl::timing_offset | ( |  | ) | const
| virtual

Implements gr::foo::channel_model.

The documentation for this class was generated from the following file:

- channel_model_impl.h